Package org.apache.sling.caconfig.resource.impl.def

# Class ConfigurationResourceNameConstants

java.lang.Object
org.apache.sling.caconfig.resource.impl.def.ConfigurationResourceNameConstants

public final class ConfigurationResourceNameConstants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROPERTY_CONFIG_COLLECTION_INHERIT`
Boolean property that controls whether config resource collections should be merged on inheritance or not.
`static final String`
`PROPERTY_CONFIG_REF`
Property that points to the configuration path to be used.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROPERTY_CONFIG_REF

public static final String PROPERTY_CONFIG_REF
Property that points to the configuration path to be used. Additionally each resource having this property marks the beginning of a new context sub-tree.

See Also:
  - Constant Field Values

### PROPERTY_CONFIG_COLLECTION_INHERIT

public static final String PROPERTY_CONFIG_COLLECTION_INHERIT
Boolean property that controls whether config resource collections should be merged on inheritance or not. Merging means merging the lists, not the list items (properties of the resources) itself.

See Also:
  - Constant Field Values